WinShopAPI docs
ReferenceItem lists

Units comparative

List units comparative

GET
/api/item-lists/units-comparative

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/units-comparative' \  -H 'Authorization: Bearer <access-token>'
[  {    "id": 0,    "name": "string",    "quantity": 0  }]

Get an units comparative

GET
/api/item-lists/units-comparative/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
id?integer
Formatint32
name?string
Lengthlength <= 50
quantity?number
Formatdecimal
curl -X GET 'https://<your-instance>/api/item-lists/units-comparative/0' \  -H 'Authorization: Bearer <access-token>'
{  "id": 0,  "name": "string",  "quantity": 0}